#pragma once


// CFishLink

class CFishLink : public CWnd
{
	DECLARE_DYNAMIC(CFishLink)

public:
	CFishLink();
	virtual ~CFishLink();
	afx_msg void OnPaint();


protected:
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg LRESULT OnMouseLeave(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnMouseHover(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()

	//virtual void PreSubclassWindow();
private:
	CString    m_Text;
	COLORREF   m_TextColor;
	CFont  *   m_TextFont;
	CString    m_TextFontName;
	UINT       m_FontWidth;
	UINT       m_FontHeight;

	CBrush *   m_BackGroundBrush;

	CBrush *   m_DisBackGroundBrush;
	COLORREF   m_DisTextColor;

    COLORREF   m_OverTextColor;


	BOOL m_bOver;	//λڰť֮ʱֵΪtrue֮Ϊflase
	BOOL m_bTracking;	//갴ûͷʱֵΪtrue

public:
	VOID  ReleaseObject(CGdiObject * object);
	VOID  SetBackGroudColor(COLORREF color);
	VOID  SetText(CString text);
    VOID  SetTextColor(COLORREF color);

    VOID  SetDisBackGroudColor(COLORREF color);
    VOID  SetDisTextColor(COLORREF color);

    VOID  SetFontName(CString name);
    VOID  SetFontSize(UINT width,UINT height);

	VOID  SetOverTextColor(COLORREF color);
protected:
	virtual void PreSubclassWindow();
public:
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
};


